import os
# 配置不同的信息参数
class Config:
    MYSQL_DIALECT = "mysql"
    MYSQL_DRIVER = "pymysql"
    MYSQL_NAME = "root"
    MYSQL_PWD = "root"
    MYSQL_HOST = "localhost"
    MYSQL_PORT = "3306"
    MYSQL_DB = "acmy"
    MYSQL_CHARSET = "utf8"

    SQLALCHEMY_DATABASE_URI = "{}+{}://{}:{}@{}:{}/{}?charset={}".format(MYSQL_DIALECT,MYSQL_DRIVER,MYSQL_NAME,MYSQL_PWD,MYSQL_HOST,MYSQL_PORT,MYSQL_DB,MYSQL_CHARSET)
    SQLALCHEMY_TRACK_MODIFICATIONS = True

    SECRET_KEY = os.urandom(24)

class DevelopmentConfig(Config):
    DEBUG = True

class ProductionConfig(Config):
    pass

config_map={
    "develop":DevelopmentConfig,
    "product":ProductionConfig
}